Index: /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90
===================================================================
--- /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 3358)
+++ /branches/2012/dev_r3337_NOCS10_ICB/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 3359)
@@ -39,8 +39,8 @@
    TYPE(FLD_N), PRIVATE        ::   sn_icb                 ! information about the calving file to be read
 
-   PRIVATE  icb_alloc      ! routine called in xxx.F90 module
-   PUBLIC   icb_init       ! routine called in xxx.F90 module
-   PUBLIC   icb_gen        ! routine called in xxx.F90 module
-   PUBLIC   icb_nam        ! routine called in xxx.F90 module
+   PUBLIC   icb_init       ! routine called in nemogcm.F90 module
+   PUBLIC   icb_gen        ! routine called in icbclv.F90 module
+   PRIVATE  icb_nam
+   PRIVATE  icb_alloc  
 
 CONTAINS
@@ -100,18 +100,18 @@
       ALLOCATE( ssh_e(0:jpi+1,0:jpj+1) , STAT=ill)
       icb_alloc = icb_alloc + ill
-      ALLOCATE( initial_width    (nclasses) , STAT=ill)
-      icb_alloc = icb_alloc + ill
-      ALLOCATE( initial_length   (nclasses) , STAT=ill)
-      icb_alloc = icb_alloc + ill
-      ALLOCATE( p_calving(jpi,jpj) , STAT=ill)
-      icb_alloc = icb_alloc + ill
-      ALLOCATE( p_calving_hflx(jpi,jpj) , STAT=ill)
-      icb_alloc = icb_alloc + ill
-
-      ALLOCATE( icbfldpts(jpi) , STAT=ill)
-      icb_alloc = icb_alloc + ill
-      ALLOCATE( icbflddest(jpi) , STAT=ill)
-      icb_alloc = icb_alloc + ill
-      ALLOCATE( icbfldproc(jpni) , STAT=ill)
+      ALLOCATE( first_width    (nclasses) , STAT=ill)
+      icb_alloc = icb_alloc + ill
+      ALLOCATE( first_length   (nclasses) , STAT=ill)
+      icb_alloc = icb_alloc + ill
+      ALLOCATE( src_calving(jpi,jpj) , STAT=ill)
+      icb_alloc = icb_alloc + ill
+      ALLOCATE( src_calving_hflx(jpi,jpj) , STAT=ill)
+      icb_alloc = icb_alloc + ill
+
+      ALLOCATE( nicbfldpts(jpi) , STAT=ill)
+      icb_alloc = icb_alloc + ill
+      ALLOCATE( nicbflddest(jpi) , STAT=ill)
+      icb_alloc = icb_alloc + ill
+      ALLOCATE( nicbfldproc(jpni) , STAT=ill)
       icb_alloc = icb_alloc + ill
 
@@ -121,5 +121,5 @@
    END FUNCTION icb_alloc
 
-   SUBROUTINE icb_init( dt, kt )
+   SUBROUTINE icb_init( pdt, kt )
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE dom_init  ***
@@ -129,11 +129,12 @@
       !! ** Method  : - blah blah
       !!----------------------------------------------------------------------
-      REAL(wp)                , INTENT(in) ::   dt      ! iceberg time-step (rdt*nn_fsbc)
+      REAL(wp)                , INTENT(in) ::   pdt     ! iceberg time-step (rdt*nn_fsbc)
       INTEGER                 , INTENT(in) ::   kt      ! time step number
       !
-      INTEGER                              ::   ji, jj, jn, i1, j1
-      INTEGER                              ::   ii, inum, ivar, k1
+      INTEGER                              ::   ji, jj, jn                ! loop counters
+      INTEGER                              ::   i1, i2, i3                ! dummy integers
+      INTEGER                              ::   ii, inum, ivar
       INTEGER                              ::   istat1, istat2, istat3
-      CHARACTER(len=300)                   ::   sdist
+      CHARACTER(len=300)                   ::   cl_sdist
       !!----------------------------------------------------------------------
 
@@ -146,7 +147,7 @@
       ! set parameters (mostly from namelist)
       !
-      berg_dt                  = dt
-      initial_width (:) = SQRT(  rn_initial_mass(:) / ( rn_LoW_ratio*rn_rho_bergs*rn_initial_thickness(:) )  )
-      initial_length(:) = rn_LoW_ratio * initial_width(:)
+      berg_dt                  = pdt
+      first_width (:) = SQRT(  rn_initial_mass(:) / ( rn_LoW_ratio * rn_rho_bergs * rn_initial_thickness(:) )  )
+      first_length(:) = rn_LoW_ratio * first_width(:)
 
       berg_grid%calving      (:,:)   = 0._wp
@@ -154,9 +155,9 @@
       berg_grid%stored_heat  (:,:)   = 0._wp
       berg_grid%floating_melt(:,:)   = 0._wp
-      berg_grid%maxclass      (:,:)  = nclasses
+      berg_grid%maxclass     (:,:)   = nclasses
       berg_grid%stored_ice   (:,:,:) = 0._wp
       berg_grid%tmp          (:,:)   = 0._wp
-      p_calving        (:,:)   = 0._wp
-      p_calving_hflx   (:,:)   = 0._wp
+      src_calving              (:,:)   = 0._wp
+      src_calving_hflx         (:,:)   = 0._wp
 
       ! domain for icebergs
@@ -166,19 +167,19 @@
       ! for the north fold we work out which points communicate by asking
       ! lbc_lnk to pass processor number (valid even in single processor case)
-      ! borrow p_calving arrays for this
+      ! borrow src_calving arrays for this
       !
       ! pack i and j together using a scaling of a power of 10
-      icbpack = 10000
-      IF( jpiglo >= icbpack ) CALL ctl_stop('icbini: processor index packing failure')
-      icbfldproc(:) = -1
+      nicbpack = 10000
+      IF( jpiglo >= nicbpack ) CALL ctl_stop('icbini: processor index packing failure')
+      nicbfldproc(:) = -1
 
       DO jj = 1, jpj
          DO ji = 1, jpi
-            p_calving_hflx(ji,jj) = narea
-            p_calving(ji,jj)      = icbpack*(njmpp+jj-1) + nimpp+ji-1
+            src_calving_hflx(ji,jj) = narea
+            src_calving(ji,jj)      = nicbpack*(njmpp+jj-1) + nimpp+ji-1
          ENDDO
       ENDDO
-      CALL lbc_lnk( p_calving_hflx, 'T', 1._wp )
-      CALL lbc_lnk( p_calving     , 'T', 1._wp )
+      CALL lbc_lnk( src_calving_hflx, 'T', 1._wp )
+      CALL lbc_lnk( src_calving     , 'T', 1._wp )
 
       ! work out interior of processor from exchange array
@@ -186,15 +187,15 @@
       ! last  entry                               is right hand interior index
       jj = jpj/2
-      icbdi = -1
-      icbei = -1
+      nicbdi = -1
+      nicbei = -1
       DO ji = 1,jpi
-         k1 = INT( p_calving(ji,jj) )
-         j1 = INT( k1/icbpack )
-         i1 = k1 - j1*icbpack
+         i3 = INT( src_calving(ji,jj) )
+         i2 = INT( i3/nicbpack )
+         i1 = i3 - i2*nicbpack
          IF( i1 == nimpp+ji-1 ) THEN
-            IF( icbdi < 0 ) THEN
-               icbdi = ji
+            IF( nicbdi < 0 ) THEN
+               nicbdi = ji
             ELSE
-               icbei = ji
+               nicbei = ji
             ENDIF
          ENDIF
@@ -203,15 +204,15 @@
       ! repeat for j direction
       ji = jpi/2
-      icbdj = -1
-      icbej = -1
+      nicbdj = -1
+      nicbej = -1
       DO jj = 1,jpj
-         k1 = INT( p_calving(ji,jj) )
-         j1 = INT( k1/icbpack )
-         i1 = k1 - j1*icbpack
-         IF( j1 == njmpp+jj-1 ) THEN
-            IF( icbdj < 0 ) THEN
-               icbdj = jj
+         i3 = INT( src_calving(ji,jj) )
+         i2 = INT( i3/nicbpack )
+         i1 = i3 - i2*nicbpack
+         IF( i2 == njmpp+jj-1 ) THEN
+            IF( nicbdj < 0 ) THEN
+               nicbdj = jj
             ELSE
-               icbej = jj
+               nicbej = jj
             ENDIF
          ENDIF
@@ -219,29 +220,29 @@
          
       ! special for east-west boundary exchange we save the destination index
-      i1 = MAX( icbdi-1, 1)
-      k1 = INT( p_calving(i1,jpj/2) )
-      jj = INT( k1/icbpack )
-      icb_left = REAL( k1 - icbpack*jj, wp )
-      i1 = MIN( icbei+1, jpi )
-      k1 = INT( p_calving(i1,jpj/2) )
-      jj = INT( k1/icbpack )
-      icb_right = REAL( k1 - icbpack*jj, wp )
+      i1 = MAX( nicbdi-1, 1)
+      i3 = INT( src_calving(i1,jpj/2) )
+      jj = INT( i3/nicbpack )
+      ricb_left = REAL( i3 - nicbpack*jj, wp )
+      i1 = MIN( nicbei+1, jpi )
+      i3 = INT( src_calving(i1,jpj/2) )
+      jj = INT( i3/nicbpack )
+      ricb_right = REAL( i3 - nicbpack*jj, wp )
       
       ! north fold
       IF( npolj > 0 ) THEN
          !
-         ! icebergs in row icbej+1 get passed across fold
-         icbfldpts(:)  = INT( p_calving(:,icbej+1) )
-         icbflddest(:) = INT( p_calving_hflx(:,icbej+1) )
+         ! icebergs in row nicbej+1 get passed across fold
+         nicbfldpts(:)  = INT( src_calving(:,nicbej+1) )
+         nicbflddest(:) = INT( src_calving_hflx(:,nicbej+1) )
          !
          ! work out list of unique processors to talk to
-         DO ji = icbdi, icbei
-            ii = icbflddest(ji)
+         DO ji = nicbdi, nicbei
+            ii = nicbflddest(ji)
             DO jn = 1, jpni
-               IF( icbfldproc(jn) == -1 ) THEN
-                  icbfldproc(jn) = ii
+               IF( nicbfldproc(jn) == -1 ) THEN
+                  nicbfldproc(jn) = ii
                   EXIT
                ENDIF
-               IF( icbfldproc(jn) == ii ) EXIT
+               IF( nicbfldproc(jn) == ii ) EXIT
             ENDDO
          ENDDO
@@ -253,36 +254,36 @@
          WRITE(numicb,*) 'nldi, nlei ', nldi, nlei
          WRITE(numicb,*) 'nldj, nlej ', nldj, nlej
-         WRITE(numicb,*) 'berg i interior ', icbdi, icbei
-         WRITE(numicb,*) 'berg j interior ', icbdj, icbej
-         WRITE(numicb,*) 'berg left       ', icb_left
-         WRITE(numicb,*) 'berg right      ', icb_right
+         WRITE(numicb,*) 'berg i interior ', nicbdi, nicbei
+         WRITE(numicb,*) 'berg j interior ', nicbdj, nicbej
+         WRITE(numicb,*) 'berg left       ', ricb_left
+         WRITE(numicb,*) 'berg right      ', ricb_right
          jj = jpj/2
          WRITE(numicb,*) "central j line:"
          WRITE(numicb,*) "i processor"
-         WRITE(numicb,*) (INT(p_calving_hflx(ji,jj)), ji=1,jpi)
+         WRITE(numicb,*) (INT(src_calving_hflx(ji,jj)), ji=1,jpi)
          WRITE(numicb,*) "i point"
-         WRITE(numicb,*) (INT(p_calving(ji,jj)), ji=1,jpi)
+         WRITE(numicb,*) (INT(src_calving(ji,jj)), ji=1,jpi)
          ji = jpi/2
          WRITE(numicb,*) "central i line:"
          WRITE(numicb,*) "j processor"
-         WRITE(numicb,*) (INT(p_calving_hflx(ji,jj)), jj=1,jpj)
+         WRITE(numicb,*) (INT(src_calving_hflx(ji,jj)), jj=1,jpj)
          WRITE(numicb,*) "j point"
-         WRITE(numicb,*) (INT(p_calving(ji,jj)), jj=1,jpj)
+         WRITE(numicb,*) (INT(src_calving(ji,jj)), jj=1,jpj)
          IF( npolj > 0 ) THEN
             WRITE(numicb,*) 'north fold destination points '
-            WRITE(numicb,*) icbfldpts
+            WRITE(numicb,*) nicbfldpts
             WRITE(numicb,*) 'north fold destination procs  '
-            WRITE(numicb,*) icbflddest
+            WRITE(numicb,*) nicbflddest
          ENDIF
          CALL flush(numicb)
       ENDIF
       
-      p_calving(:,:)      = 0._wp
-      p_calving_hflx(:,:) = 0._wp
+      src_calving(:,:)      = 0._wp
+      src_calving_hflx(:,:) = 0._wp
 
       ! assign each new iceberg with a unique number constructed from the processor number
       ! and incremented by the total number of processors
-      kount_bergs(:) = 0
-      kount_bergs(1) = narea - jpnij
+      num_bergs(:) = 0
+      num_bergs(1) = narea - jpnij
 
       ! when not generating test icebergs we need to setup calving file
@@ -290,11 +291,11 @@
          !
          ! maximum distribution class array does not change in time so read it once
-         sdist = TRIM( cn_dir )//TRIM( sn_icb%clname )
-         CALL iom_open ( sdist, inum )                              ! open file
+         cl_sdist = TRIM( cn_dir )//TRIM( sn_icb%clname )
+         CALL iom_open ( cl_sdist, inum )                              ! open file
          ivar = iom_varid( inum, 'maxclass', ldstop=.FALSE. )
          IF( ivar > 0 ) THEN
-            CALL iom_get  ( inum, jpdom_data, 'maxclass', p_calving )   ! read the max distribution array
-            berg_grid%maxclass(:,:) = INT( p_calving )
-            p_calving(:,:) = 0._wp
+            CALL iom_get  ( inum, jpdom_data, 'maxclass', src_calving )   ! read the max distribution array
+            berg_grid%maxclass(:,:) = INT( src_calving )
+            src_calving(:,:) = 0._wp
          ENDIF
          CALL iom_close( inum )                                     ! close file
@@ -321,5 +322,5 @@
             !
             CALL icebergs_read_restart()
-            restarted_bergs = .TRUE.
+             l_restarted_bergs = .TRUE.
          ENDIF
       ENDIF
@@ -336,5 +337,5 @@
 
       ! Local variables
-      INTEGER                         ::   i, j, nbergs
+      INTEGER                         ::   ji, jj, ibergs
       TYPE(iceberg)                   ::   localberg ! NOT a pointer but an actual local variable
       TYPE(point)                     ::   localpt
@@ -358,18 +359,18 @@
       ! use tmask here because tmask_i has been doctored on one side of the north fold line
 
-      DO j = icbdj,icbej
-         DO i = icbdi,icbei
-            IF (tmask(i,j,1) .GT. 0._wp .AND. &
-                gphit(i,j) .GT. rn_test_box(3) .AND. gphit(i,j) .LT. rn_test_box(4) .AND. &
-                glamt(i,j) .GT. rn_test_box(1) .AND. glamt(i,j) .LT. rn_test_box(2)) THEN
+      DO jj = nicbdj,nicbej
+         DO ji = nicbdi,nicbei
+            IF (tmask(ji,jj,1) .GT. 0._wp .AND. &
+                gphit(ji,jj) .GT. rn_test_box(3) .AND. gphit(ji,jj) .LT. rn_test_box(4) .AND. &
+                glamt(ji,jj) .GT. rn_test_box(1) .AND. glamt(ji,jj) .LT. rn_test_box(2)) THEN
                localberg%mass_scaling = rn_mass_scaling(iberg)
-               localpt%xi = REAL( nimpp+i-1, wp )
-               localpt%yj = REAL( njmpp+j-1, wp )
+               localpt%xi = REAL( nimpp+ji-1, wp )
+               localpt%yj = REAL( njmpp+jj-1, wp )
                localpt%lon = bilin(glamt, localpt%xi, localpt%yj, 'T', 0, 0 )
                localpt%lat = bilin(gphit, localpt%xi, localpt%yj, 'T', 0, 0 )
                localpt%mass = rn_initial_mass(iberg)
                localpt%thickness = rn_initial_thickness(iberg)
-               localpt%width = initial_width(iberg)
-               localpt%length = initial_length(iberg)
+               localpt%width = first_width(iberg)
+               localpt%length = first_length(iberg)
                localpt%year = iyr
                localpt%day = FLOAT(iday)+(FLOAT(ihr)+FLOAT(imin)/60._wp)/24._wp
@@ -379,5 +380,5 @@
                localpt%vvel = 0._wp
                CALL increment_kounter()
-               localberg%number(:) = kount_bergs(:)
+               localberg%number(:) = num_bergs(:)
                call add_new_berg_to_list(localberg, localpt)
             ENDIF
@@ -385,7 +386,7 @@
       ENDDO
 
-      nbergs = count_bergs()
-      IF( lk_mpp ) CALL mpp_sum(nbergs)
-      WRITE(numicb,'(a,i6,a)') 'diamonds, icb_gen: ',nbergs,' were generated'
+      ibergs = count_bergs()
+      IF( lk_mpp ) CALL mpp_sum(ibergs)
+      WRITE(numicb,'(a,i6,a)') 'diamonds, icb_gen: ',ibergs,' were generated'
 
    END SUBROUTINE icb_gen
@@ -406,6 +407,6 @@
          &              ln_time_average_weight, nn_test_icebergs, rn_test_box, rn_speed_limit,     &
          &              cn_dir, sn_icb
-      INTEGER   ::   k  ! loop counter
-      REAL(wp)  ::   dfact
+      INTEGER   ::   jn  ! loop counter
+      REAL(wp)  ::   zfact
       !!----------------------------------------------------------------------
 
@@ -431,10 +432,10 @@
       ENDIF
 
-      dfact = SUM( rn_distribution )
-      IF( dfact < 1._wp ) THEN
-         IF( dfact <= 0._wp ) THEN
+      zfact = SUM( rn_distribution )
+      IF( zfact < 1._wp ) THEN
+         IF( zfact <= 0._wp ) THEN
             CALL ctl_stop('icb_init: sum of berg distribution equal to zero')
          ELSE
-            rn_distribution(:) = rn_distribution(:) / dfact
+            rn_distribution(:) = rn_distribution(:) / zfact
             CALL ctl_warn('icb_init: sum of berg input distribution not equal to one and so RESCALED')
          ENDIF
@@ -448,18 +449,18 @@
          WRITE(numout,*) '   Period between sampling of position for trajectory storage   nn_sample_rate = ', nn_sample_rate
          WRITE(numout,*) '   Mass thresholds between iceberg classes (kg)                 rn_initial_mass     ='
-         DO k=1,nclasses
-            WRITE(numout,'(a,f15.2)') '                                                                ',rn_initial_mass(k)
+         DO jn=1,nclasses
+            WRITE(numout,'(a,f15.2)') '                                                                ',rn_initial_mass(jn)
          ENDDO
          WRITE(numout,*) '   Fraction of calving to apply to this class (non-dim)         rn_distribution     ='
-         DO k=1,nclasses
-            WRITE(numout,'(a,f10.2)') '                                                                ',rn_distribution(k)
+         DO jn=1,nclasses
+            WRITE(numout,'(a,f10.2)') '                                                                ',rn_distribution(jn)
          ENDDO
          WRITE(numout,*) '   Ratio between effective and real iceberg mass (non-dim)      rn_mass_scaling     = '
-         DO k=1,nclasses
-            WRITE(numout,'(a,f10.2)') '                                                                ',rn_mass_scaling(k)
+         DO jn=1,nclasses
+            WRITE(numout,'(a,f10.2)') '                                                                ',rn_mass_scaling(jn)
          ENDDO
          WRITE(numout,*) '   Total thickness of newly calved bergs (m)                   rn_initial_thickness = '
-         DO k=1,nclasses
-            WRITE(numout,'(a,f10.2)') '                                                                ',rn_initial_thickness(k)
+         DO jn=1,nclasses
+            WRITE(numout,'(a,f10.2)') '                                                                ',rn_initial_thickness(jn)
          ENDDO
          WRITE(numout,*) '   Timesteps between verbose messages                           nn_verbose_write    = ', nn_verbose_write
